<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionRepairCarChassis Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/dec/class_action_repair_car_chassis.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionRepairCarChassis Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionRepairCarChassis:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d6/dec/class_action_repair_car_chassis.png" usemap="#ActionRepairCarChassis_map" alt=""/>
  <map id="ActionRepairCarChassis_map" name="ActionRepairCarChassis_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,150,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a5c2cc15c81166cc822fd8763dcad28be"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dec/class_action_repair_car_chassis.html#a5c2cc15c81166cc822fd8763dcad28be">ActionRepairCarChassis</a> ()</td></tr>
<tr class="separator:a5c2cc15c81166cc822fd8763dcad28be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a099b0ecf9f860e28a75c859bbb42f5fe"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dec/class_action_repair_car_chassis.html#a099b0ecf9f860e28a75c859bbb42f5fe">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a099b0ecf9f860e28a75c859bbb42f5fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4e532d84624f91998e46057b8ef330c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dec/class_action_repair_car_chassis.html#ad4e532d84624f91998e46057b8ef330c">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:ad4e532d84624f91998e46057b8ef330c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ab524f0f7eff9d7d6bb6af4aecf24fa"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dec/class_action_repair_car_chassis.html#a3ab524f0f7eff9d7d6bb6af4aecf24fa">OnFinishProgressServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a3ab524f0f7eff9d7d6bb6af4aecf24fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0693755f3aa32677ce0792393066dba8"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dec/class_action_repair_car_chassis.html#a0693755f3aa32677ce0792393066dba8">CreateActionData</a> ()</td></tr>
<tr class="separator:a0693755f3aa32677ce0792393066dba8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a5390ac81f473624a1b62ade672d330"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dec/class_action_repair_car_chassis.html#a3a5390ac81f473624a1b62ade672d330">WriteToContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx, <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a3a5390ac81f473624a1b62ade672d330"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c9a8ae9e297154ae5d6800d76a6df38"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dec/class_action_repair_car_chassis.html#a4c9a8ae9e297154ae5d6800d76a6df38">ReadFromContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx, out ActionReciveData action_recive_data)</td></tr>
<tr class="separator:a4c9a8ae9e297154ae5d6800d76a6df38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaed53e61e631851ec12922ef6f95169"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dec/class_action_repair_car_chassis.html#acaed53e61e631851ec12922ef6f95169">HandleReciveData</a> (ActionReciveData action_recive_data, <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:acaed53e61e631851ec12922ef6f95169"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a76ed8bcaccb742d1c5170143d4ec26e8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dec/class_action_repair_car_chassis.html#a76ed8bcaccb742d1c5170143d4ec26e8">m_LastValidType</a></td></tr>
<tr class="separator:a76ed8bcaccb742d1c5170143d4ec26e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6a5bc4b9dfc1346f52e0742b7db8b31"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dec/class_action_repair_car_chassis.html#ad6a5bc4b9dfc1346f52e0742b7db8b31">m_CurrentDamageZone</a> = &quot;&quot;</td></tr>
<tr class="separator:ad6a5bc4b9dfc1346f52e0742b7db8b31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89accc216262cbd78dbccacdb94c4f7c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dec/class_action_repair_car_chassis.html#a89accc216262cbd78dbccacdb94c4f7c">m_LastValidComponentIndex</a> = -1</td></tr>
<tr class="separator:a89accc216262cbd78dbccacdb94c4f7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43be9799fd9542b3e4127d740399d4d6"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dec/class_action_repair_car_chassis.html#a43be9799fd9542b3e4127d740399d4d6">MAX_ACTION_DIST</a> = 3.0</td></tr>
<tr class="separator:a43be9799fd9542b3e4127d740399d4d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html#l00019">19</a> of file <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html">ActionRepairCarChassis.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5c2cc15c81166cc822fd8763dcad28be" name="a5c2cc15c81166cc822fd8763dcad28be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c2cc15c81166cc822fd8763dcad28be">&#9670;&#160;</a></span>ActionRepairCarChassis()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionRepairCarChassis::ActionRepairCarChassis </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html#l00026">26</a> of file <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html">ActionRepairCarChassis.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad4e532d84624f91998e46057b8ef330c" name="ad4e532d84624f91998e46057b8ef330c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4e532d84624f91998e46057b8ef330c">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionRepairCarChassis::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html#l00045">45</a> of file <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html">ActionRepairCarChassis.c</a>.</p>

</div>
</div>
<a id="a0693755f3aa32677ce0792393066dba8" name="a0693755f3aa32677ce0792393066dba8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0693755f3aa32677ce0792393066dba8">&#9670;&#160;</a></span>CreateActionData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> ActionRepairCarChassis::CreateActionData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html#l00255">255</a> of file <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html">ActionRepairCarChassis.c</a>.</p>

</div>
</div>
<a id="a099b0ecf9f860e28a75c859bbb42f5fe" name="a099b0ecf9f860e28a75c859bbb42f5fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a099b0ecf9f860e28a75c859bbb42f5fe">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionRepairCarChassis::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html#l00039">39</a> of file <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html">ActionRepairCarChassis.c</a>.</p>

</div>
</div>
<a id="acaed53e61e631851ec12922ef6f95169" name="acaed53e61e631851ec12922ef6f95169"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acaed53e61e631851ec12922ef6f95169">&#9670;&#160;</a></span>HandleReciveData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionRepairCarChassis::HandleReciveData </td>
          <td>(</td>
          <td class="paramtype">ActionReciveData&#160;</td>
          <td class="paramname"><em>action_recive_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html#l00293">293</a> of file <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html">ActionRepairCarChassis.c</a>.</p>

</div>
</div>
<a id="a3ab524f0f7eff9d7d6bb6af4aecf24fa" name="a3ab524f0f7eff9d7d6bb6af4aecf24fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ab524f0f7eff9d7d6bb6af4aecf24fa">&#9670;&#160;</a></span>OnFinishProgressServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionRepairCarChassis::OnFinishProgressServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html#l00166">166</a> of file <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html">ActionRepairCarChassis.c</a>.</p>

</div>
</div>
<a id="a4c9a8ae9e297154ae5d6800d76a6df38" name="a4c9a8ae9e297154ae5d6800d76a6df38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c9a8ae9e297154ae5d6800d76a6df38">&#9670;&#160;</a></span>ReadFromContext()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionRepairCarChassis::ReadFromContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out ActionReciveData&#160;</td>
          <td class="paramname"><em>action_recive_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html#l00273">273</a> of file <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html">ActionRepairCarChassis.c</a>.</p>

</div>
</div>
<a id="a3a5390ac81f473624a1b62ade672d330" name="a3a5390ac81f473624a1b62ade672d330"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a5390ac81f473624a1b62ade672d330">&#9670;&#160;</a></span>WriteToContext()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionRepairCarChassis::WriteToContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html#l00261">261</a> of file <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html">ActionRepairCarChassis.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ad6a5bc4b9dfc1346f52e0742b7db8b31" name="ad6a5bc4b9dfc1346f52e0742b7db8b31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6a5bc4b9dfc1346f52e0742b7db8b31">&#9670;&#160;</a></span>m_CurrentDamageZone</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ActionRepairCarChassis::m_CurrentDamageZone = &quot;&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html#l00022">22</a> of file <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html">ActionRepairCarChassis.c</a>.</p>

</div>
</div>
<a id="a89accc216262cbd78dbccacdb94c4f7c" name="a89accc216262cbd78dbccacdb94c4f7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89accc216262cbd78dbccacdb94c4f7c">&#9670;&#160;</a></span>m_LastValidComponentIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionRepairCarChassis::m_LastValidComponentIndex = -1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html#l00023">23</a> of file <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html">ActionRepairCarChassis.c</a>.</p>

</div>
</div>
<a id="a76ed8bcaccb742d1c5170143d4ec26e8" name="a76ed8bcaccb742d1c5170143d4ec26e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76ed8bcaccb742d1c5170143d4ec26e8">&#9670;&#160;</a></span>m_LastValidType</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ActionRepairCarChassis::m_LastValidType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html#l00021">21</a> of file <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html">ActionRepairCarChassis.c</a>.</p>

</div>
</div>
<a id="a43be9799fd9542b3e4127d740399d4d6" name="a43be9799fd9542b3e4127d740399d4d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43be9799fd9542b3e4127d740399d4d6">&#9670;&#160;</a></span>MAX_ACTION_DIST</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionRepairCarChassis::MAX_ACTION_DIST = 3.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html#l00024">24</a> of file <a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html">ActionRepairCarChassis.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/<a class="el" href="../../da/dff/_action_repair_car_chassis_8c_source.html">ActionRepairCarChassis.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d6/dec/class_action_repair_car_chassis.html">ActionRepairCarChassis</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
